using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class MeterMonitorWeightService
    {
        /// <summary>
        /// 新增
        /// </summary>
        /// <param name="info">MeterWorkCarActualFirst</param>
        /// <param name="link">MeterWorkPreLink</param>
        /// <param name="isLock">只有一车的互锁需要传值 "1"  isLock 1互锁   其它为非互锁  </param>
        /// <returns></returns>
        public RESTfulResult<string> doAddWf(MeterMonitorWeight mmw)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<string> rm = db.doOption<string>("metermonitorweights", "doAddWf", new object[] { mmw }, 1);
            return rm;
        }

        public RESTfulResult<string> doUpdateWf(MeterMonitorWeight mmw)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<string> rm = db.doOption<string>("metermonitorweights", "doUpdateWf", new object[] { mmw }, 1);
            return rm;
        }
    }
}
